# Class: Ellipsoid

## scoord3d.Ellipsoid(options)

ELLIPSOID graphic denoted by six (x, y, z) coordinates that represent endpoints of the three orthogonal geometric axes, where the first and second coordinates represent the endpoints of the first axis, the third and forth coordinates represent the endpoints of the second axis and the fifth and sixth coordinates represent the endpoints of the third axis.

## Constructor

#### new Ellipsoid(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`frameOfReferenceUID` | string |  | Unique identifier of the Frame of Reference
`coordinates` | Array.<Array.<number>> |  | (x, y, z) coordinates of the three axes endpoints
`fiducialUID` | string | <optional> | Unique identifier of an imaging fiducial

Source:
  - scoord3d.js, line 267

### Extends

- scoord3d.Scoord3D

### Members

#### fiducialUID :string

Fiducial UID

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#fiducialUID
Source:
  - scoord3d.js, line 74

#### frameOfReferenceUID :string

Frame of Reference UID

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#frameOfReferenceUID
Source:
  - scoord3d.js, line 65

#### graphicData :Array.<Array.<number>>

Graphic Data

##### Type:

- Array.<Array.<number>>

Overrides:
  - scoord3d.Scoord3D#graphicData
Source:
  - scoord3d.js, line 47

#### graphicType :string

Graphic Type

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#graphicType
Source:
  - scoord3d.js, line 56